pbm2g3(1)

NAME
pbm2g3 - convert portable bitmaps (PBM) into G3 fax files

SYNOPSIS
pbm2g3 [-r] [-w<pagewidth>] [-h<blanklines>] [-d] [-a] [pbmfile]

DESCRIPTION
Reads a portable bitmap as input, converting it into a G3 fax file on stdout. That file is suitable for faxing it with sendfax(8) or queueing it for faxing with faxspool(1) (provided that it gets a ``.g3'' suffix). faxspool(1) uses pbm2g3(1) internally to convert various bitmap formats into fax g3 format.

OPTIONS

-a  byte-aligns the end-of-line codes, inserting padding bits as necessary.

-w <page width>
    sets the width of the resulting G3 page. Default is 1728. If you want to be able to fax it with sendfax, don't use anything else. For other fax programs, 2048, 2432, 864 and 1216 may be useful. For other purposes, use what you like. If you set it to 0, the width of the pbm file will be used.

-h <blank lines>
    specifies the number of blank lines pbm2g3 should prepend to each page. Default is 0. To produce identical output as pbmplus' pbm2g3 program (with my patch!) does, use ``-h 4''.

-r  reverse the bit order in the bytes.

-d  will one day make pbm2g3 prepend a digifax header to the page.

REFERENCES
The standard for Group 3 fax is defined in CCITT Recommendation T.4.

BUGS
The -d option isn't implemented yet. If a raw pbm file is converted, and the width of the g3 file is smaller than the width of the pbm file, the former is rounded up to the next multiple of 8.

SEE ALSO
g32pbm(1), pbm(5), sendfax(8)

AUTHOR
pbm2g3 is Copyright (C) 1993 by Gert Doering, <gert@greenie.muc.de>. It is similar to the pbmtog3 program in Jef Poskanzers pbmplus package, but it's a complete re-write. No code is copied.